> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assurance/ai-adoption-summary ## OpenAPI ````json POST /v2/assurance/ai-adoption-summary { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assurance/ai-adoption-summary": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceAiAdoptionSummaryPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceAiAdoptionSummaryPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssuranceAiAdoptionSummaryPostRequest": { "type": "object", "properties": { "timeWindow": { "$ref": "#/components/schemas/assuranceTimeWindow" }, "userListSize": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "list size of user list in where widget (required)" } }, "additionalProperties": false, "required": [ "timeWindow", "userListSize" ] }, "v2AssuranceAiAdoptionSummaryPostResponse": { "type": "object", "properties": { "topLevelKpi": { "$ref": "#/components/schemas/assuranceTopLevelKpi" }, "whatWidget": { "$ref": "#/components/schemas/assuranceWhatWidget" }, "whenWidget": { "$ref": "#/components/schemas/assuranceWhenWidget" }, "whereWidget": { "$ref": "#/components/schemas/assuranceWhereWidget" } }, "additionalProperties": false }, "assuranceTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "assuranceTopLevelKpi": { "type": "object", "properties": { "dataTransferredKbpsMetric": { "$ref": "#/components/schemas/assuranceKpiMetric" }, "shadowAiToolsMetric": { "$ref": "#/components/schemas/assuranceKpiMetric" }, "toolsMetric": { "$ref": "#/components/schemas/assuranceKpiMetric" }, "usersMetric": { "$ref": "#/components/schemas/assuranceKpiMetric" } }, "additionalProperties": false }, "assuranceWhatWidget": { "type": "object", "properties": { "bubbleCategories": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } }, "topToolsByActiveUsers": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } }, "topToolsByDataTransferred": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } } }, "additionalProperties": false }, "assuranceWhenWidget": { "type": "object", "properties": { "dayOfWeek": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } }, "hourOfDay": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } }, "monthlyActiveUsers": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } }, "monthlyBandwidthTransferred": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } } }, "additionalProperties": false }, "assuranceWhereWidget": { "type": "object", "properties": { "topSitesByUsers": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } }, "topUsersByDataTransferred": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceUserDefinition" } }, "topVrfsByUsers": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceKpiMetric" } } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "assuranceKpiMetric": { "type": "object", "properties": { "delta": { "type": "number", "format": "double", "example": 123.45, "description": "delta value for the metric" }, "name": { "type": "string", "example": "example string", "description": "name of the metric" }, "percent": { "type": "number", "format": "double", "example": 123.45, "description": "AI adoption percent for the metric" }, "tag": { "type": "string", "example": "ENUM_VALUE", "description": "AI adoption tag for the metric" }, "tokenUsage": { "type": "number", "format": "double", "example": 123.45, "description": "AI adoption token usage value" }, "value": { "type": "number", "format": "double", "example": 123.45, "description": "metric value (required)" } }, "additionalProperties": false }, "assuranceUserDefinition": { "type": "object", "properties": { "dataSent": { "type": "number", "format": "double", "example": 123.45, "description": "tokens sent by the user (required)" }, "managed": { "type": "boolean", "example": true, "description": "whether the user is managed (required)" }, "sessionsDay": { "type": "number", "format": "double", "example": 123.45, "description": "daily sessions for the user (required)" }, "tokensUsage": { "type": "number", "format": "double", "example": 123.45, "description": "token usage (required)" }, "tokensUsageDays": { "type": "number", "format": "double", "example": 123.45, "description": "token usage per day (required)" }, "user": { "type": "string", "example": "example string", "description": "user identifier (required)" }, "vrf": { "type": "string", "example": "example string", "description": "VRF associated with the user (required)" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````